# classes/phing/types/selectors/ContainsSelector.php

Selector that filters files based on whether they contain a particular string.

author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Bruce Atherton <bruce@callenish.com> (Ant)
package
  phing.types.selectors

## \ContainsSelector
jump to top

Selector that filters files based on whether they contain a particular string.

It provides support for gathering the parameters together as well as for assigning an error message and throwing a build exception if an error is detected.

Extends from
  \BaseExtendSelector
author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Bruce Atherton <bruce@callenish.com> (Ant)
package
  phing.types.selectors
version
  $Revision: 526 $

### Constants

`CONTAINS_KEY = 'text'`

`CASE_KEY = 'casesensitive'`

### Properties

`$casesensitive= 'true'`
Default value `true` Details

Type

`$contains= 'null'`
Default value `null` Details

Type

### Methods

`isSelected( \basedir $basedir, \filename $filename, \file $file ) : \whether`
The heart of the matter. This is where the selector gets to decide on the inclusion of a file in a particular fileset.
Parameters

Name | Type | Description
--- | --- | ---
$basedir | \basedir | the base directory the scan is being done from
$filename | \filename | is the name of the file to check
$file | \file | a PhingFile object the selector can use

Returns

Type | Description
--- | ---
\whether |

`setCasesensitive( boolean $casesensitive ) :`
Whether to ignore case in the string being searched.
Parameters

Name | Type | Description
--- | --- | ---
$casesensitive | boolean | whether to pay attention to case sensitivity

`setParameters( array $parameters ) :`
When using this as a custom selector, this method will be called.

It translates each parameter into the appropriate setXXX() call.

Parameters

Name | Type | Description
--- | --- | ---
$parameters | array | the complete set of parameters for this selector

`setText( string $contains ) :`
The string to search for within a file.
Parameters

Name | Type | Description
--- | --- | ---
$contains | string | the string that a file must contain to be selected.

`toString( ) :`
`verifySettings( ) :`
Checks to make sure all settings are kosher. In this case, it means that the pattern attribute has been set.
Documentation was generated by DocBlox 0.13.1.